local posX = 93 -- Panel X axis
local posXX = 0.3
local posY = 5 -- Panel Y axis
local fontSize = 3
function editor_screen_init(e)
	g_imgCursor = LoadImage("scriptbank\\images\\Editor\\cursor.png")
	g_sprCursor = CreateSprite ( g_imgCursor ) 
	ActivateMouse()
	HideHuds()
	yourImage_image = LoadImage("scriptbank\\images\\Editor\\yourImage.png")
	yourImage_sprite = CreateSprite(yourImage_image)
	SetSpritePosition(yourImage_sprite,200,200)
	GridArea_image = LoadImage("scriptbank\\images\\Editor\\grid.png")
	GridArea_sprite = CreateSprite(GridArea_image)
	SetSpritePosition(GridArea_sprite,200,200)
end --init

function editor_screen_main(e)
	PasteSpritePosition(yourImage_sprite,0,0)
	PasteSpritePosition(GridArea_sprite,0,0)
	SetSpritePosition ( g_sprCursor, g_MouseX, g_MouseY )
	Panel(posX-1,posY-3,posX+6,posY+17)
	TextColor(posX+posXX,posY,fontSize,"Key",255,255,255)
	TextColor(posX+posXX,posY+3,fontSize,GetScancode().." : "..GetInKey(),255,0,0)
    TextColor(posX+posXX,posY+6,fontSize,"Mouse",255,255,255) 
    TextColor(posX+posXX,posY+9,fontSize,"X: "..string.format("%.1f",g_MouseX),255,0,0) 
    TextColor(posX+posXX,posY+12,fontSize,"Y: "..string.format("%.1f",g_MouseY),255,0,0) 
    if g_MouseClick == 1 then
		TextColor(posX+posXX,posY+15,fontSize,"LMB",255,0,0)
	end
    if g_MouseClick == 2 then
		TextColor(posX+posXX,posY+15,fontSize,"RMB",255,0,0)
	end
    if g_MouseClick == 3 then
		TextColor(posX+posXX,posY+15,fontSize,"MMB",255,0,0)
	end
end --main